Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614874 - net-fs/samba-4.5.8 fails to build missing System library pyldb-util
Summary: net-fs/samba-4.5.8 fails to build missing System library pyldb-util
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-06 19:47 UTC by William L. Thomson Jr.
Modified: 2018-01-21 14:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William L. Thomson Jr. 2017-04-06 19:47:25 UTC
It has been this way for several months...


Checking for system pyldb-util >= 1.1.27
                : not found
ERROR: System library pyldb-util of version 1.1.27 not found, and bundling disabled
 * ERROR: net-fs/samba-4.5.8::gentoo failed (configure phase):
 *   configure failed
Comment 1 William L. Thomson Jr. 2017-04-06 19:57:20 UTC
Checking for system pyldb-util >= 1.1.27
                : not found
ERROR: System library pyldb-util of version 1.1.27 not found, and bundling disab
led
 * ERROR: net-fs/samba-4.5.7::gentoo failed (configure phase):
 *   configure failed

Last one that marged was 4.5.5

Python is not optional so I do not see a way around this...
Comment 2 William L. Thomson Jr. 2017-04-06 20:20:10 UTC
I did not try net-fs/samba-4.6.1, but I am merging net-fs/samba-4.6.2. It made it past configure, and the ebuild now has -python. That finishing compiling but failed on install phase...

 * ERROR: net-fs/samba-4.6.2::os-xtoo failed (install phase):
 *   !!! newinitd: /usr/portage/local/os-xtoo/net-fs/samba/files/4.4/samba4.initd-r1 does not exist
Comment 3 William L. Thomson Jr. 2017-04-06 20:25:19 UTC
(In reply to William L. Thomson Jr. from comment #2)
>
>  * ERROR: net-fs/samba-4.6.2::os-xtoo failed (install phase):
>  *   !!! newinitd:
> /usr/portage/local/os-xtoo/net-fs/samba/files/4.4/samba4.initd-r1 does not exist

This was a local issue, copied the package to overlay in case I had to modify. I then decided to delete, not realizing it was using that to build. Thus I deleted it before it could install it. Merging now from tree.

Looks like 4.6.2 should be unmasked and versions 4.5.x and 4.6.1 removed. Though 4.6.1 maybe fine.
Comment 4 Alexander 2017-04-12 10:18:27 UTC
Helps add use flag "python" to the sys-libs/ldb.
Comment 5 Mattias Merilai 2017-05-21 20:10:28 UTC
RDEPEND samba on sys-libs/ldb[python] maybe?
Comment 6 Michael Behrns-Miller 2018-01-21 14:31:27 UTC
I am getting this with net-fs/samba-4.7.4.

Checking for system pyldb-util (>=1.2.3)                                                        : not found 
ERROR: System library pyldb-util of version 1.2.3 not found, and bundling disabled
 * ERROR: net-fs/samba-4.7.4::gentoo failed (configure phase):
 *   configure failed

I emerged ldb again but not sure what to do next.
Comment 7 Michael Behrns-Miller 2018-01-21 14:33:00 UTC
Also...

emerge: there are no ebuilds to satisfy "pyldb-util".